<div class="container">
    <h2>Login</h2>
    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
      <label for="email">Email:</label>
      <input id="email" formControlName="email" type="email">
      <div *ngIf="loginForm.controls['email'].invalid && (loginForm.controls['email'].dirty || loginForm.controls['email'].touched)">
        <small>Email is required and must be a valid email address.</small>
      </div>
      
      <label for="password">Password:</label>
      <input id="password" formControlName="password" type="password">
      <div *ngIf="loginForm.controls['password'].invalid && (loginForm.controls['password'].dirty || loginForm.controls['password'].touched)">
        <small>Password is required.</small>
      </div>
      
      <button type="submit" [disabled]="loginForm.invalid">Login</button>
    </form>
    <img src="assets/flight-login.jpg" alt="Flight">
  </div>
  